stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
stdex::parser::http_header Class Reference

Test for HTTP header. More...

`#include <stdex/parser.hpp>`

Inheritance diagram for stdex::parser::http_header:

## Public Member Functions
virtual void | invalidate ()
Public Member Functions inherited from stdex::parser::basic_parser< char >
| basic_parser (const std::locale &locale=std::locale())
bool | search (_In_reads_or_z_opt_(end) const char *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
bool | match (_In_reads_or_z_opt_(end) const char *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
bool | match (const std::basic_string_view< char, std::char_traits< char > > text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)

## Public Attributes
stdex::interval< size_t > | name
stdex::interval< size_t > | value
Public Attributes inherited from stdex::parser::basic_parser< char >
stdex::interval< size_t > | interval
| Region of the last match.

## Protected Member Functions
virtual bool | do_match (_In_reads_or_z_(end) const char *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
Protected Member Functions inherited from stdex::parser::basic_parser< char >
virtual bool | do_match (_In_reads_or_z_opt_(end) const char *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)=0

## Protected Attributes
http_line_break | m_line_break
Protected Attributes inherited from stdex::parser::basic_parser< char >
std::locale | m_locale

## Detailed Description

Test for HTTP header.

## Member Function Documentation

## ◆ invalidate()

virtual void stdex::parser::http_header::invalidate | ( |  | ) |
| inline virtual

Reimplemented from stdex::parser::basic_parser< char >.

The documentation for this class was generated from the following file:

- include/stdex/parser.hpp